<?php require_once('Connections/cn.php'); ?>
<?php
    // Capturo los datos que vienen de cargar_inscripcion.php.
	$materia=$_GET['materia'];
	$carrera=$_GET['carrera'];
	$pensum=$_GET['pensum'];
	$mencion=$_GET['mencion'];
	$id_alumno=$_GET['id_alumno'];
	
	// Valido si la materia esta aprobada.
	mysql_select_db($database_cn, $cn);
    mysql_query ("SET NAMES 'utf8'");
 	$sql = "SELECT * FROM historico_notas WHERE id_carrera='$carrera' and id_materia='$materia' and pensum='$pensum' and mencion='$mencion' and id_alumno='$id_alumno' and nota>=10";
   
 	$rs=mysql_query($sql, $cn);
	$reg=mysql_num_rows($rs);
	if ($reg > 0)
	 {
	 ?>
	 <script type="text/javascript">
	    msj="Inscripción no procesada "+'<?php echo $materia; ?>' +" fue aprobada.";
	 	alert(msj);
		window.parent.document.form1.id_materia.focus();
		window.parent.document.form1.id_materia.value=0;
	 </script>
	 <?php
	 }
	 
	 // Valido si la materia esta inscrita.
	mysql_select_db($database_cn, $cn);
	  mysql_query ("SET NAMES 'utf8'");
 	$sql = "SELECT * FROM inscripciones WHERE id_carrera='$carrera' and id_materia='$materia' and pensum='$pensum' and mencion='$mencion' and id_alumno='$id_alumno'";
   
 	$rs=mysql_query($sql, $cn);
	$reg=mysql_num_rows($rs);
	
	if ($reg > 0)
	 {
	 ?>
	 <script type="text/javascript">
	    msj="Inscripción no procesada "+'<?php echo $materia; ?>' +" ya está inscrita.";
	 	alert(msj);
		window.parent.document.form1.id_materia.focus();
		window.parent.document.form1.id_materia.value=0;
	 </script>
	 <?php
	 }
	 
// Valida si las prelaciones están aprobadas.
	  if(prelaciones($materia,$id_alumno)!=0) {
	     ?>
	 <script type="text/javascript">
	    msj="Inscripción no procesada la materia <?php echo $materia; ?>\nno tiene todas las prelaciones aprobadas.";
	 	alert(msj);
		window.parent.document.form1.id_materia.focus();
		window.parent.document.form1.id_materia.value=0;
	 </script>
	 <?php
	  }
	 
?>


<?php function prelaciones($materia,$id_alumno)
{
  global $cn;
  
  $sql = "SELECT * FROM `prelaciones` where id_materia='$materia'";
  $res = mysql_query($sql, $cn) or die(mysql_error());
  $num_prelaciones = mysql_num_rows($res);
  
  $sql = "SELECT id_materia
           FROM `historico_notas_aux`
           WHERE historico_notas_aux.nota >=10
		       and id_alumno='$id_alumno'
                 AND id_materia
                     IN (SELECT id_prelacion
                         FROM prelaciones
                         WHERE id_materia = '$materia')";
  $res = mysql_query($sql, $cn) or die(mysql_error());
  $prelaciones_aprobadas = mysql_num_rows($res);
  $num=$num_prelaciones-$prelaciones_aprobadas;
  return $num;
} 	 

?>